<?php

$dictionary['ecminvoiceouts_ecmpurchaseorders'] = array (
	'table' => 'ecminvoiceouts_ecmpurchaseorders',
	'fields' => array (
		array(
			'name' => 'id',
			'type' => 'varchar',
			'len'=>'36'
		),
		array(
			'name' => 'ecminvoiceout_id',
			'type' => 'varchar',
			'len' => '36',
		),
		array(
			'name' => 'po_id',
			'type' => 'varchar',
			'len' => '36',
		),
		array (
			'name' => 'date_modified',
			'type' => 'datetime'
		),
		array(
			'name' => 'deleted',
			'type' => 'bool',
			'len' => '1',
			'default' => '0',
			'required' => true
		)
	),
	'indices' => array (
		array(
			'name' => 'ecminvoiceouts_ecmpurchaseorderspk',
			'type' => 'primary',
			'fields' => array('id')
		),
		array(
			'name' => 'idx_ecmio_ecmpo_ecmio',
			'type' => 'index',
			'fields' => array('ecminvoiceout_id')
		),
		array(
			'name' => 'idx_ecmio_ecmpo_ecmpo',
			'type' => 'index',
			'fields' => array('po_id')
		),
		array(
			'name' => 'idx_ecmio_doc',
			'type' => 'alternate_key',
			'fields' => array('ecminvoiceout_id','po_id')
		)
	),
	'relationships' => array (
		'ecminvoiceouts_ecmpurchaseorders' => array(
			'lhs_module' => 'EcmInvoiceOuts',
			'lhs_table' => 'ecminvoiceouts',
			'lhs_key' => 'id',
			'rhs_module' => 'EcmPurchaseOrders',
			'rhs_table' => 'ecmpurchaseorders',
			'rhs_key' => 'id',
			'relationship_type' => 'many-to-many',
			'join_table' => 'ecminvoiceouts_ecmpurchaseorders',
			'join_key_lhs' => 'ecminvoiceout_id',
			'join_key_rhs' => 'po_id'
		)
	),
);


?>